#
# spec file for package wyrmgus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wyrmgus
Version:        2.8.1
Release:        lp151.2.5
Summary:        Game engine for Wyrmsun
License:        GPL-2.0
Group:          Amusements/Games/Strategy/Real Time
Url:            https://andrettin.github.io/
Source:         https://github.com/Andrettin/Wyrmgus/archive/v%{version}/Wyrmgus-%{version}.tar.gz
BuildRequires:  SDL-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libbz2-devel
BuildRequires:  libmikmod-devel
BuildRequires:  libmng-devel
BuildRequires:  libogg-devel
BuildRequires:  libphysfs-devel
BuildRequires:  libpng-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  lua51-devel
BuildRequires:  oaml-devel
BuildRequires:  sqlite3-devel
BuildRequires:  zlib-devel
%if 0%{?suse_version} <= 1320
BuildRequires:  pkgconfig(tolua++)
%else
BuildRequires:  libtolua++-5_1-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Modified Stratagus engine for Wyrmsun

%package devel
Summary:        Real-time strategy gaming engine development files
Group:          Development/Languages/C and C++
Requires:       wyrmgus

%description devel
These are the development files for Wyrmsun which is based on the Stratagus engine.

%prep
%setup -q -n Wyrmgus-%{version}

%build
%cmake -DWITH_BZIP2=ON -DWITH_PHYSFS=ON \
       -DGAMEDIR=%{_bindir} -DENABLE_USEGAMEDIR=OFF

make %{?_smp_mflags}

%install
%cmake_install
install -D -m 0644 doc/stratagus.6 %{buildroot}%{_mandir}/man6/wyrmgus.6
install -Dm644 gameheaders/stratagus-game-launcher.h %{buildroot}%{_includedir}/wyrmgus-game-launcher.h
mv %{buildroot}%{_bindir}/stratagus %{buildroot}%{_bindir}/wyrmgus
mv %{buildroot}%{_bindir}/png2stratagus %{buildroot}%{_bindir}/png2wyrmgus

%files
%defattr(-,root,root)
%doc COPYING README.MD
%{_bindir}/wyrmgus
%{_mandir}/man6/wyrmgus.6*
%{_bindir}/png2wyrmgus

%files devel
%defattr(-,root,root)
%{_includedir}/wyrmgus-game-launcher.h

%changelog
* Sun Sep 10 2017 rpm@fthiessen.de
- Update to 2.8.1:
  * Added code for terrain features
  * Terrain features are groups of tiles which have their name
  displayed when one of the tiles is hovered over
  * Update to supply display
  * Fixed issue with the AI not building town halls close
  to silver and gold deposits
  * Ai force update
  * Added support for variation weight
  * Update to character code to make heroes be more dynamically
  applied to the scenario mode
  * Fixed issue with minecart stone right-click crash
  * Fixed issue with genversion
* Tue Feb  7 2017 mailaender@opensuse.org
- Update to version 2.5.3
* Tue Sep  6 2016 malcolmlewis@opensuse.org
- Update to version 2.4.2:
  + Removed species development system (should be replaced later
    with something that is lair-based).
- Changes from version 2.4.1:
  + Reduced the starting resources of split-off factions, as they
    were too strong.
* Sun Aug 21 2016 mailaender@opensuse.org
- Updated to version 2.4.0
- Removed fix-find-toluapp.patch
* Sun May 15 2016 rpm@fthiessen.de
- Updated to version 2.2.1
- Now using cmake macros
* Sat Jan 16 2016 rpm@fthiessen.de
- Fixed build on openSUSE > 13.2 after tolua++ package got renamed,
  therefore also modified fix-find-toluapp. patch.
* Sun Dec 27 2015 rpm@fthiessen.de
- Added fix-find-toluapp.patch to fix build on openSUSE > 13.2
* Thu Dec 24 2015 mailaender@opensuse.org
- update to version 1.8.6
* Sat Dec 19 2015 mailaender@opensuse.org
- initial packaging
